Page MenuHomePhabricator

Maps - move traffic to eqiad instead of codfw
Closed, ResolvedPublic

Description

Now that the maps eqiad cluster is ready, it is time to actually send traffic there after some validation that this cluster is working correctly.

This requires at least:

  • adding the kartotherian eqiad as a backend to varnish
  • changing cache routing to eqiad -> direct and codf -> eqiad (this needs to be done in 2 separate commits)
  • since tile generation is more recent on eqiad, we might need a full cache purge to ensure coherence of tiles (@Yurik can you confirm?)

@BBlack : I'm probably missing steps in the above plan, could you check?

Related Objects

Event Timeline

Gehel created this task.Sep 15 2016, 10:09 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 15 2016, 10:09 AM
Gehel updated the task description. (Show Details)Sep 15 2016, 10:11 AM
Yurik added a comment.Sep 15 2016, 4:07 PM

I suspect that both databases / tilesets are fairly similar. Then again, we had some job scheduling issue recently, so maybe we should do a full maps cache flush just to be sure - but this will cause a big spike on the servers, especially right after the switchover). As one of the cache flushing option, we could flush one zoom level at a time.

ema moved this task from Triage to Caching on the Traffic board.Sep 30 2016, 3:11 PM
Yurik moved this task from Backlog to To-do on the Maps-Sprint board.Oct 12 2016, 6:39 PM

completed today?

completed today?

Yes, there was an unplanned incident with the codfw karthotherian service and we accelerated the move to cope.

Gehel closed this task as Resolved.Oct 24 2016, 9:46 AM

Resolved during maps incident as pointed out by @BBlack.